Changes in v1.3.0: (savegame compatible with previous version) [2018-06-03]

  Bug Fixes
    - Fixed typo in Staff Mastery tooltip.
    - Fixed an occasional BGM related crashing bug in MidBoss Classic.

  Environment
    - Added a new room type that contains an unbreakable adamantine chest with a glowing red lock.

  General
    - MidBoss Pro experience level no longer disables the tutorial as some players were picking it the first time they played the game.

  Graphics
    - Fixed a font rendering bug that could cause weird pointy stroke on death card text on Windows systems.
    - Vsync will no longer be forced off for users who's AMD cards falsely claim to support adaptive vsync. If a crash related to adaptive vsync is detected a file "amd_disable_vsync.txt" is created, if this file is detected on load adaptive vsync is disabled and regular vsync can be used instead.

  GUI
    - Added a new pixel art font which makes text in the game much crisper and (hopefully) easier to read. This will be turned on by default and the old font can be restored by checking "Use old font" in the Graphics section of the options menu.
    - Because the new pixel font does not have italics, new icons have been added to the forms window to indicate whether an ability is active, passive, or innate.

  Steam
    - Steam trading cards have been added!


Changes in v1.2.2: (savegame compatible with previous version) [2017-11-27]

  Bug Fixes
    - Fixed depossession/mastery window crash that should have been fixed in 1.2.1.2, apologies for the inconvenience.


Changes in v1.2.1: (savegame compatible with previous version) [2017-11-25]

  Bug Fixes
    - Fixed a bug causing the game to freeze instead of crashing properly (and generating a crash report) when crashing during a save.
    - Fixed a bug causing the game to crash when selling stackable tomes to the merchant.
    - Fixed a bug causing the game to crash when throwing equipped items.
    - Fixed a bug preventing players from throwing items that were equipped from item shortcuts.
    - Fixed a bug which was causing the game to not save immediately if closing the shop through the close button.
    - Fixed an issue which could cause a crash when exiting the options menu on rare system configurations.

  Graphics
    - When throwing a stacked item, the items will no longer all land in the same spot.
    - When throwing items onto the floor they will no longer all land in the same spot.
    - Hardware cursors should now be the correct color on Mac and Linux.


Changes in v1.2.0: (savegame compatible with previous version) [2017-11-22]

  Abilities
    - Implemented new Guard ability, this ability replaces Rust on skeletons and reapers. This is a new type of ability, a toggle ability. It can be turned on and off at will and will drain stamina every turn until turned off or you run out of stamina.
    - Warlock's life leech ability has been replaced with a new ability: Miasma. This ability drops a 3x3 field that inflicts the blind debuff on anything that passes through it, inflicting a 25 penalty to Accuracy and Evasion.
    - Zap minimum damage increased from 60% to 70%.
    - The imp now has the new Throw ability, which can be used to throw any item in the game that can be picked up. When the Throw ability is available to the player the item shortcut bar will prompt the player when a new shortcut is created whether the item should be used/equipped or thrown.

  Bug Fixes
    - Clarified wording on Devyn's Aether Respiration blessing.
    - Fixed a bug where Gravelord was applying its critical bonus as if it were an item, causing it to be scaled.
    - Fixed a typo in Fear's description.
    - Altar minimap icon is no longer off by 1 tile.
    - Fixed a bug with Ethereal where it would keep its user alive until their mana depleted completely.
    - Fixed a bug causing the drain soul option to never appear if you disable tutorials before getting the possessed form tutorial message.
    - Fixed fester typo.
    - Fixed a bug where the stats in the depossess prompt were not accurate with unmastered forms.
    - Fixed an issue with downward slash graphics being randomly flipped.
    - Fixed a bug where "items bought" in statistics was showing the number of items blessed, not bought.
    - Fixed a bug which was causing the Apple II, Commodore VIC-20, and Pen & Paper retro mode potions to not report their unlocked status in their tooltips.
    - Brood mother now has a status effect icon (oops).
    - Fixed a bug where the merchant would spawn with increased stats if a floor with a merchant on it was generated while the player was effected by the Precision Engineering buff given by the god Stack.
    - Fixed a bug which caused the final boss to have its passives duplicated on load.
    - Fixed a bug causing titlescreen menu items to be slightly misaligned.
    
  Custom Game Options
    - The custom game window now includes an extra lives slider, which can be set to a value between 0 and 15 inclusive, or to permadeath or infinite lives
    - The quick play and default preset buttons in the custom game window have been replaced with the new presets of quick, standard, and extended. Quick is the same as the old quick play, while extended is the same as the old default.
    - Added a 'Narrative mode buffs' option to the custom game window, to toggle the narrative mode buffs to stats, stamina/HP/mana, and damage reduction on and off for custom games.

  Death Cards
    - Added an unlockable MidBoss Classic card border.
    - Death card details now list unlocked upgrades (if any) and flags set by the game (if any).
    - Death cards window now shows how many lives a player had remaining at the end of their game on victory cards.

  Environment
    - The game now spawns additional weaker aggressive monsters for each floor.
    - Gods will summon champions to punish you if you vandalize their shrines too many times. These champions can drop minor and major icons of their god, which can be used to gain the god's blessing.
    - Torn pages may drop randomly, containing small snippets of lore. This lore may help players figure out how shrines work.
    - Fast travel has been added. You can fast travel by right clicking anywhere on the map, and this lets you travel to where you clicked, the merchant, the cratefish king, or the stairs up and down.

  Game Modes
    - When applying an exp multiplier in a custom game the amount of xp and form xp given when killing any monster cannot go below 1.
    - New mode: 1UP Mode. This mode introduces extra lives, letting players respawn at the last stairs they took a limited number of times. Additional lives can occasionally be found in chests.
    - New mode: Narrative Mode. This mode acts like 1UP mode but has infinite respawns, and buffs the player's meta attributes, HP, MP, stamina, and damage resistance.
    - The titlescreen menu has been changed. New game now opens another menu giving you the choice of Hardcore, 1UP, Narrative, or Custom Game modes, which in turn ask you for a game length of either quick, standard, or extended. Quick corresponds to the old quick play mode, and extended corresponds to the old default mode. The quick play and custom game options have been removed from the main menu.

  General
    - Optimized the save system to prevent framedrops that some users were experiencing.
    - The last target selected using keyboard will be automatically re-selected when activating abilities using the keyboard.
    - Keyboard targeting will no longer attempt to target static scenery if the current ability cannot target scenery.
    - Keyboard targeting will now prioritize enemies over static scenery. This can be disabled in the options menu to revert to the old behavior.
    - Keyboard targeting will now function in a more sensible left-to-right manner.
    - Implemented new achievement "Yo dawg".
    - Clarified damage types tutorial wording.

  Graphics
    - Added custom hardware cursors.
    - Added an option to show the mouse cursor in screenshots to the options menu, this option is off by default.
    - Item labels now do not appear until after an item's drop animation has completed.
    - Increased unique/legendary item glow size for small items.

  GUI
    - The depossess prompt now equips the selected forms when you click yes.
    - The depossess prompt now tries to add forms you had equipped as the imp before to the selected forms, as long as this does not lower your multipliers.
    - You can now click yes on the depossess prompt when you're in imp form. This will only equip the selected forms, nothing else.
    - The possession window no longer shows the keybinds under the buttons when onscreen keybinds are disabled.
    - Learning the final Imp ability will no longer cause the mastered form depossession prompt to appear.
    - The possession prompt now shows a mastery star if the form it's asking you to possess is mastered.

  Items
    - You can now favorite items from the equipment menu. Favorite items will no longer show up on the cat merchant's sell list, and will display a minimap icon when dropped. Favorite items will always ask for confirmation when trying to salvage them.
    - Added keybind to favorite items. Press the F key while mousing over items in your inventory to favorite them.
    - Added bulk selling buttons to items which are stacked when trading with the merchant.
    - Added keybind to salvage items and turn them into scrap. Press the Delete key while mousing over items in your inventory to salvage them.
    - You can now identify and bless items directly from your inventory without having to go through the item select popup.
    - Added an item quickbar. Drag items from your inventory onto the bar to use it. The bar can be used in two ways, by holding shift and then pressing the corresponding keybind for the item you wish to use, or by pressing and releasing the 'U' key, followed by the keybind. Both the key to hold or press in sequence can be modified via the options menu.
    - The "Path (hold)" keybind functionality has been removed to make way for the item quickbar.
    - The Floppy Disk item's functionality has been implemented.
    - The cat merchant now sells various upgrades including the pocket library, potion pouch, large backpack, and bag of holding. These upgrades improve inventory management.
    - The cat merchant now gives you the salvage-o-matic upgrade in his opening cutscene. This allows you to turn items into stacking scrap, which can be sold later.
    - Weapons of rarity rare and higher now sometimes spawn with a chance to inflict a status effect on hit such as burning or poison.
    - Legendary item abilities on weapons, armor, and shields will be different for seeds.
    - Tome abilities will be different for seeds.
    - Accuracy potions now cure blindness.
    - Alchemist's Manual functionality is now implemented.
    - You can now switch an either hand weapon to the other slot even if that slot is occupied by a non-either hand weapon, the non-either hand weapon will be unequipped.
    - Epic weapons will now sometimes spawn with the Returning property, which returns the item to your hand or inventory after being thrown.

  New Game+
    - New game+ now carries over upgrades.
    - New game+ now includes a "hazard boost" option. Increasing this value will make monsters stronger, items more powerful, and cause more balls of yarn to be dropped.
    - You can now start new game+ with a new random seed. Additionally, for 1UP victory cards the number of lives for new game+ can be kept or reset to 4.

  New Player Experience
    - The game will now show a one-time prompt to players for their experience with turn-based dungeon crawlers when it starts, this modifies the movement duration, turn delay, delay on aggro option settings, as well as which tutorials and reminders are shown. Note that the MidBoss Pro option disables all tutorials and hints, and sets the 'Animation speed' option to 25% faster.
    - A new controls overlay now appears on the 1st floor. This overlay shows how keys map to the directions of movement, and changes the cursor to one that indicates moving can be done using the left mouse button. It also allows players to change the orientation of the movement keys with a single click if using standard key bindings. The overlay can be hidden, either temporarily or permanently, and re-enabled from the options menu.
    - The control orientation picker has been removed.

  Options
    - Added an experience level option to the gameplay section of the options menu. This affects what tutorials and hints are shown.
    - Minimum movement duration has been decreased from 0.13 seconds to 0.10 seconds.
    - Added 'Animation speed' option, this can be used to increase non-movement animation speeds by 25, 50, 75, or 100 percent.

  Procs
    - Added option to disable the flash step mastery sound.
    - Mastery procs and status debuffs now have on screen text when they occur. Mastery procs are yellow and debuffs are purple.
    - Added option to disable onscreen proc/debuff messages.
    - The shield item mastery has been renamed to Block from Guard in order to prevent confusion with the new Guard ability.


Changes in v1.1.7: (savegame compatible with previous version) [2017-08-03]

  Abilities
    - Added soul drain. When the possession prompt pops up you have the option of draining the target's soul instead, healing yourself for 10% of their maximum HP + 10% of your maximum HP.
    - Colossus splash damage is doubled. Splash damage now also pierces defense.
    - Depossess now pulls up a depossession window that previews your stats as the imp, allowing you to mix and match forms and see how your stats would change with those forms equipped in imp form.
    - Ethereal now also absorbs half of incoming magic damage.
    - Staff Master ability now adds 30% of the magical damage bonus of equipped wands and staves to physical/melee damage.

  Accessibility
    - The blips indicating entities on the minimap now change color when using different color blind profiles.

  Bug Fixes
    - Added safeguards to prevent soft-locking on the final floor because of portcullises not opening correctly between stages.
    - Added some code to prevent item duplication bugs from occurring when picking up items. Additionally the game should be more robust when dealing with duplicated items on load and should no longer crash.
    - Fixed a bug causing walls to overlap objects or vice versa after changing resolutions while in game.
    - Fixed a bug where an item's stack label was still visible in its slot while click-dragging it around the inventory.
    - Fixed a bug where the minimap would disappear when opening the options menu if it was maximized.
    - Fixed a bug where the spiked shield's damage bonus was not unidentified, but the flavor text describing it deals damage was.
    - Fixed a bug which caused the header font in credits to not be high contrast when high contrast fonts were enabled.
    - Fixed a bug which was causing a full crash if an error happened during save load instead of going back to the title screen and notifying the user of the save load error.
    - Fixed a bug which was causing monsters to not use various certain skill tomes even when available to them.
    - Fixed a bug with holy water that would mistakenly apply every uncursed bonus to the player, causing all sorts of weird effects.
    - Fixed a bug with the minimap minimize/maximize button not updating its graphic if keyboard was used to toggle the size.
    - Fixed a bug with using holy water on an item that had both a cursed version of an attribute bonus, and a normal version, where one of the bonuses would not apply after turning the cursed bonus into a positive.
    - Fixed a crashing bug related to monsters that use skill tomes, causing certain tomes to crash the game when used.
    - Fixed a rare crashing bug affecting Blink ability.
    - When an ability kills a monster with the vessel condition as well as the player, and the player is not in imp form and possesses the monster, a redundant imp will no longer be left behind.

  Entities
    - Flying creatures are no longer affected by pools of acid.
    - Ghoul's violence attribute reduced slightly.
    - Replaced Envenom ability on Hell Rat with Flame Strike.

  Environment
    - Added map markers for stairs, merchant, cratefish king, shrines, and valuable items (legendary/unique).
    - Bookshelves can now be destroyed in a single hit. Bookshelves now randomly use one of the two available sprites.
    - Cratefish king rewards are now spread across multiple tiles when possible.
    - Smashing object animation is now 40% faster.
    - Stack now blesses all your items, instead of only your equipped items.

  General
    - Added a "Form mastered!" sliding notification.
    - Cratefish rewards now take 60 cratefish per reward (up from 50).
    - Due to the way armor and shield damage reduction bonuses are generated, the merchant's inventory for any given seed will now be different than it was before.
    - Focus attribute has been renamed Precision.
    - Force attribute has been renamed Affliction.
    - Game now remembers item labels toggle setting.
    - Power attribute has been renamed Sorcery.

  GUI
    - After mastering a form a window now pops up asking you if you would like to depossess to imp form. This window is like the depossession window and previews your stats as the imp with the best multipliers you could have.
    - Discarding a death card now brings up a prompt that makes it clear the player is forfeiting their chance for grave goods.
    - Mastered forms in the equipment window now show a mastery star in front of their names.
    - Meta attribute value font is no longer blurry.
    - Status effects at the bottom of the screen are now sorted by whether they are a buff or debuff, and by name.
    - The equipment menu now has a collapsible sidebar showing an overview of your stats for convenient reference.
    - The item select window that pops up when using an ID scroll or holy water will no longer be able to accidentally select an item instantly when double clicking to use.
    - Titlescreen social widgets revamped. Now contains links to the wiki, and Kitsune Games Discord, Twitter, and website.
    - You can now use and equip items from the floor. If your inventory is full when equipping an item, any unequipped items that won't fit in your inventory will be dropped on the floor.

  Items
    - All armor and shields now come with damage reduction values. This damage reduction is applied after incoming damage is reduced by resistance or toughness, but before any other damage scaling status effects.
    - Potions now have both a fixed value effect and a percentage based effect, in order to maintain their use in the late game.
    - Retro potions now indicate when the mode is already unlocked in their tooltip.

  Options
    - Added an option to change the fullscreen map opacity to the graphics section.
    - Added an option to disable the depossession prompt upon mastering a form to the gameplay section of the options menu.
    - Added drain soul keybind option.

  Tutorials
    - Added an additional tutorial that explains that soul fatigue is not "locked in" until exiting the menus, allowing players to freely experiment with what forms they want to have equipped as long as they don't close the menus.
    - Changed the soul fatigue tutorial and added an extra tutorial to make it clear that changing multiple forms at a time only incurs one stack of soul fatigue.
    - Clarified wording on the grave goods explanation message.
    - The low health tutorial and Mid reminders have been updated to mention the soul drain feature.
    - There is now a tutorial message explaining the defense negating effects of piercing damage and criticals.


Changes in v1.1.6: (savegame compatible with previous version) [2017-06-01]

  Abilities
    - Scythe no longer affects abilities with a base range of zero such as Stomp.
    - You can now self-cast Stomp by pressing the hotkey twice, like other zero range abilities.

  Bug Fixes
    - Acid reflux and acid puddle will no longer crash when targeted right underneath the player.
    - Fixed a bug causing equipped abilities on forms to change on their own sometimes when scrolling the forms window.
    - Fixed an uncommon titlescreen crash.
    - Resolved an issue with players being able to despawn themselves by possessing the cat merchant before his intro triggers in new game+. The intro cutscene will now no longer trigger if the merchant is dead, missing, or possessed.
    - When the game generates a card with favored form "lich lords" it no longer generates a message reading "Loved to be a lich lords".
    - You can no longer cast possess on the chimera.
    - Zombie minions no longer trigger the zombie tutorial.

  Entities
    - Chimera's power and strength reduced slightly.

  Environment
    - Cratefish per crate decreased again.

  GUI
    - The shop's buy and sell tab now only use a single column. The buttons to sell all epic, legendary and unique equipment have been removed.

  Miscellaneous
    - A forced garbage collection now occurs when switching game modes and when zoning between floors. This should help mitigate intermittent framedrops from garbage collection.
    - Added code which will (hopefully) detect crashes on load on some systems with certain AMD GPUs which falsely report support for WGL_EXT_swap_control_tear. This code will force run the game with the '-novsync' command line argument the next time the game runs after this type of crash.

  Options
    - Pixel perfect rotation option now defaults to off.

  Tutorials
    - Added a tutorial that explains destroying bookshelves completely does not yield any additional loot but is fun.
    - Form mastery tutorial rewritten.


Changes in v1.1.5: (savegame compatible with previous version) [2017-05-29]

  Abilities
    - Conscription mana cost increased from 35 to 45.
    - Fireball burn chance increased from 30% to 67%.
    - Fireball max damage decreased from 200% to 100%.
    - Fireball range decreased from 4 to 3.
    - Targeting the Blink ability through the use of the Temporal Ring now costs 20 mana and has its range reduced from 5 to 4. Self-casting while the Temporal Ring is equipped will still Blink randomly and cost the default 4 mana.

  Bug Fixes
    - Fixed a bug causing non-monster drops on floors loaded from saves to be too weak.
    - Fixed a linked destructible object crash that could happen to forges being destroyed.

  Entities
    - Aether bats are now small size.

  General
    - A notification of changes that can take the player to the changelog has been added.
    - Critical, evasion and accuracy have been rebalanced. Bonuses to these stats from items are now scaled non-linearly. Bonuses to these stats from abilities are not scaled in this way. This means that +10 critical from the Wicked ability actually adds 10% more chance to crit, whereas +10 critical from an item may add less.

  Items
    - Guard mastery on shields now also nullifies magical attacks.


Changes in v1.1.4: (savegame compatible with previous version) [2017-05-27]

  Bug Fixes
    - Fixed a bug which was causing death cards to not be opened in detail view when importing death cards either on the title screen or in game.
    - Fixed a bug which was causing the grave goods window to remain visible after importing a card on the title screen.
    - Fixed a crashing bug which would occur when importing a card while the death card gallery was open.


Changes in v1.1.3: (savegame compatible with previous version) [2017-05-26]

  Abilities
    - Magic missile maximum damage reduced by 10%.

  Bug Fixes
    - (Hopefully?) fixed a crashing bug affecting the merchant related to his item use.
    - Fixed a bug causing replaying death cards to make the engine's seed get stuck and repeat when starting new games normally.
    - Fixed a bug causing the Magic Arrow ability to not count for the 'I'm attacking the darkness!' achievement.
    - Ravinder now also identifies items in the player's equipment slots.

  Entities
    - Aether bat power reduced slightly.
    - Magic bat death card message changed to "poked to death".
    - Warlock power multiplier reduced slightly.

  GUI
    - A crash dialog now pops up when crashes happen explaining how to report the crash.
    - The game now prompts you if you want to overwrite your current game when starting a new game while a save is already present.


Changes in v1.1.2: (savegame compatible with previous version) [2017-05-25]

  Miscellaneous
    - Disabled welcome message. Oops.


Changes in v1.1.1: (savegame compatible with previous version) [2017-05-25]

  Bug Fixes
    - Fixed a bug where the cheats menu would not work upon resuming a save that had cheats set to enabled.
    - Fixed a death cards gallery and grave goods crashing bug related to fonts.


Changes in v1.1.0: (savegame compatible with previous version) [2017-05-25]

  $Category
    - A d0$R h4!#(ERROR: CORRUPTION DETECTED AT ADDRESS SXMgYSBkb29yIHRoYXQgY2Fubm90IGJlIG9wZW5lZCBzdGlsbCBhIGRvb3I/IEFuZCB3aGVyZSBkb2VzIGl0IGxlYWQ/

  Achievements
    - Added 3 hidden achievements.
    - Added 'Do you feel lucky, punk' achievement: Get a lucky drop with a x16 multiplier.
    - Added 'Form grandmaster' achievement: Master every form in the game in a single run.
    - Added 'Full house' achievement: Start a game with 6 pieces of grave goods.
    - Added 'Iconoclast' achievement: Vandalize 50 shrines.
    - Added 'Let me show you how it's done' achievement: Import a death card.
    - Added 'Misery loves company' achievement: Share a death card on social media.
    - Added 'Revenge is a dish best served cold' achievement: Kill the skeleton and zombie from the intro cutscene.
    - Added 'Stop! Hammer time' achievement: Pretend to be a smithy 200 times.
    - Added 'The nuclear option' achievement: Kill 6 creatures with a single attack.
    - Added 'Void keeper' achievement: Beat the game.
    - Added 'Yarnballs for the yarnball god' achievement: Accumulate 5,000 yarnballs in a single run.
    - Retro modes must now be unlocked by drinking retro potions. Unlocking all modes will grant an achievement.

  Bug Fixes
    - Fixed a bug with healthbar rendering which was causing translucent healthbars in PNG screenshots.

  General
    - The damage types tutorial message has been updated to tell the player that magical damage weapons only add their damage when using magical damage abilities.
    - The game has a new icon.

  GUI
    - Mid's reminder tutorial is now delayed until he has 3 reminders and the player has reached the second floor.
    - The Mid reminder icon in the bottom right corner of the screen has been moved slightly away from the edge of the screen.


Changes in v1.0.12: (savegame compatible with previous version) [2017-05-23]

  Bug Fixes
    - Fixed a bug causing the Animated and Noatun's Inventory buffs to not have a status effect icon until the game is reloaded.
    - Fixed a bug which was preventing most potion related status effects from showing the appropriate icon.
    - Magic arrow was mistakenly labeled "Magic Missile", which is in fact the name of a later, different ability. This has now been fixed.
    - When using an item with an innate mastery as well as the relevant mastery ability the game was only giving the player one roll against that mastery instead of two. This has been fixed.

  Environment
    - Certain gods now appreciate certain potions.
    - Copper chests on the 1st tutorial floor are now scaled and will give poorer loot.
    - Cratefish per crate increased.
    - Number of crates decreased.

  GUI
    - Empty drop down combo boxes in the forms and equipment menu now instruct the player to click them to select forms or abilities.
    - Medium and large damage fonts now have a high contrast version.
    - Message telling the player cutscenes can be skipped with the escape key now lasts twice as long.

  Items
    - Bone Armor now clarifies you must have the Reanimate ability equipped to benefit from its bonus.
    - Multipurpose jewelry now counts as 'Misc accessory' for the purposes of statistics.
    - Skin boots, swamp boots and gore boots now count as their respective boot types for mastery purposes.
    - Sorceror's Codex now says 'magic missiles and arrows' to clarify it applies to both the Magic Missile and Magic Arrow abilities.

  Miscellaneous
    - Added -novsync command line option to force disable vsync from the command line before the game starts.

  Tutorials
    - Added 'Reset all tutorials' option.
    - All tutorials and conversations now have a short pause on the first bit of dialogue that prevents the user from accidentally skipping important information.


Changes in v1.0.11: (savegame compatible with previous version) [2017-05-20]

  Bug Fixes
    - Fixed a bug where the player wasn't prevented from buying items with a full inventory, causing the items to vanish.
    - Removed a one frame delay between the start of the player's turn and the start of the player's movement if the player kept moving.
    - The way filenames are generated for death cards is now more robust and won't crash due to invalid characters.
    - Zap no longer has an insane range (reduced from 10 to 1).

  Entities
    - Acid, magic and lightning bat are no longer aggressive.
    - Aggressive variety monsters (cultist and flaming sword) will no longer spawn in the first room on floor 2 or the rooms directly adjacent to it.
    - Larva and flying shield are no longer aggressive.
    - Lowered cultist and magic bat cast chance.
    - Magic bat and cultist will now keep their distance at 2 tiles away from the player instead of 3.

  Miscellaneous
    - The tutorial message when going down the stairs on the 2nd floor now warns the player that there may be aggressive monsters.


Changes in v1.0.10: (savegame compatible with previous version) [2017-05-19]

  Bug Fixes
    - (Hopefully) fixed a bug causing the chimera to not flicker dramatically upon death.
    - Fixed a bug which could cause menus to be open while dying causing them to be visible on death cards.
    - Fixed a bug which was causing the tiles moved statistic to be incorrectly calculated.
    - Fixed an issue where naming your death card more than once would not stick.

  General
    - Added '-nosave' and '-nostats' command line options.
    - If the name in the name field for your death card does not match the card's current name when you save or share the card, the name will be updated.
    - Statistics are now saved in a background thread unless '-nothreadsave' command line option is used. This fixes a stutter that could be experienced on rare system configurations.
    - The game now highlights the tile your mouse is over with a glowing border. This can be disabled in the controls section of the options menu by unchecking "Highlight mouse tile".


Changes in v1.0.9: (savegame compatible with previous version) [2017-05-18]

  GUI
    - Added an on screen button for toggling item labels on and off.
    - Added clicky sounds to various menu options and on screen buttons.
    - Added tool tips to the health, stamina and mana bars at the bottom of the screen. These can be disabled with the new 'Disable health/stamina/mana bar tool tips' in the gameplay section of the options menu.
    - Consumable items now have a line in the tool tip explaining they can be used by double or right clicking.
    - Inventory items are now drag & drop capable. All old systems for inventory management still work.
    - The minimap now has a button to maximize and minimize it using the mouse.
    - When left and right alt, shift or control are both bound for an on screen button, the 'L' (for left) is no longer shown.

  Tutorials
    - Added tutorials for the map, Mid's reminders, resting, damage types, and the turn order indicator.
    - Tutorials should no longer trigger while being prompted to possess an enemy.
    - Updated the item dropping tutorial message to mention the key binds for showing item labels.
    - Updated the item rarity tutorial message to mention the key binds for showing item labels.
    - Updated the loot tutorial message to mention the new on screen button for toggling item labels.
    - Updated the low health tutorial message to mention that possessing requires mana, and that mana can be regained by passing the turn or resting.


Changes in v1.0.8: (savegame compatible with previous version) [2017-05-17]

  Bug Fixes
    - Fixed a bug causing Rust to only proc poison 10% of the time instead of the stated 20%.
    - Fixed a bug causing Shocking Grasp's electricity effect to be applied twice to the attacker, rather than once to the attacker and once to the victim.
    - Fixed a bug with statistics not saving/loading properly when using -userpath command line option.
    - New game+ forms that weren't mastered will no longer have negative form points.

  Death Cards
    - Death cards gallery should no longer cause frame rate stutter when opened.
    - Grave goods have been added. This is a system where you can choose one item from a death card's inventory to start a new game with. Death cards can only be used in this way once, and afterwards will be marked with a clipped corner in the death card gallery. Victory cards cannot be used for grave goods.
    - New game+ runs will no longer generate death cards.
    - When starting a new game if there are cards eligible to be used for grave goods you will be asked if you wish to use grave goods or not.

  Entities
    - Rot maggots now know the new Fester ability.

  General
    - Added 7 new mobs that will sometimes spawn instead of rats and bats, to give more variety to the first floors. These monsters have 5 brand new abilities.
    - Bouncing magic missiles caused by having the Sorceror's Codex equipped will no longer bounce to the merchant unless the player has aggroed the merchant.
    - Due to grave goods you can no longer start a new game from within the game, you have to first return to the title screen.
    - The cat merchant now points out the stairs to go down when he greets you.
    - The credits no longer congratulate you on beating the game if started from the title screen.

  GUI
    - Form window scroll buttons are no longer blurry.

  Items
    - Added the 5 new abilities to skill tomes.

  Options
    - Added an option to switch from lossy jpg screenshots to lossless png screenshots called 'High quality screenshots'.


Changes in v1.0.7: (savegame compatible with previous version) [2017-05-13]

  Bug Fixes
    - Fixed a bug which was causing menus opened by tutorials to not be opened.
    - Fixed a bug which was causing tutorials to be blocked.
    - Fixed a crashing bug when using consumable items.
    
  Entities
    - Plague rat form spirit multiplier slightly increased. This lets the player cast possession or envenom after possessing their first rat without having to pass their turn or rest to regain mana, after which the mana regaining tutorial will trigger.

  Death Cards
    - Added new game+ mode for victory cards, allowing you to replay with all your items, forms and abilities, or both. Inspect your victory card in the death card gallery and click the NG+ button to start a new game+.
    - Death cards will now accurately display the player's level and meta attributes for cards generated in this new version.
    - Victory cards now show the correct cause in the info tab.


Changes in v1.0.6: (savegame compatible with previous version) [2017-05-12]

  Bug Fixes
    - Fixed a bug which was causing cards shared via the in-game Twitter share interface to not have the save's data encoded properly.
    - Fixed a crashing bug relating to using items.


Changes in v1.0.5: (savegame compatible with previous version) [2017-05-12]

  Bug Fixes
    - Fixed a bug where death cards were not listing the correct equipped forms.
    - Fixed a crashing bug when opening the death card gallery related to unnamed cards.

  GUI
    - Added instructions to naming cards on the death card screen (enter to confirm, escape to revert).


Changes in v1.0.4: (NOT savegame compatible with previous versions) [2017-05-11]

  Abilities
    - Fixed weirdness involving unidentified/cursed items when the player had item appraisal via the Mimisbrunnr buff.
    - Poison damage now inflicts Force x0.2 damage (down from x0.25).

  Bug Fixes
    - A bug in FNA was resolved which was causing a black screen after closing the options menu with certain settings.
    - The dropdown menu for equipping forms will no longer overflow off the bottom of the screen and instead will expand in width to accomodate new items.

  Death Cards
    - Added death cards option to the titlescreen's menu, here you can view death cards and their embedded information.
    - Added option to import death cards. This can be done by drag & dropping a death card image file onto the game, or right clicking a death card image in your browser and selecting copy image location/address followed by focussing the game.
    - Beating the game will show the card screen after the credits with a special gold victory border.
    - Dying now takes you to the death card screen where you can customize, share, and save your card.

  Entities
    - Monsters should no longer be able to move onto cutscene trigger tiles.
    - The rat in the first room will no longer use Envenom.
    - When sprung from traps by non-player entities, animated arsenals and animated armors will now target that entity instead of the player.

  Environment
    - Chance of yarn ball drops increased.
    - When lucky yarn ball drops occur the message log now says so and notes the multiplier.

  General
    - Added stat tracking for:
        - Tiles moved
        - Form equipped turns
        - Dropped item count by rarity and category
        - Consumabled used total and per type
        - Doors opened
        - Times died
        - Times depossessed
        - Times possessed
        - Minions created
        - Creatures summoned
        - Traps sprung
        - Items bought
        - Items dropped
        - Unidentified items dropped
        - Monsters killed total and by type
        - Items uncursed & blessed & identified
        - Cutscenes skipped
        - Yarn balls spent identifying and uncursing items
        - Containers opened total and by type
        - Items smashed total and by type
        - Altars used
        - Divine favors received
        - Minor blessings received
        - Major blessings received
        - Times cursed
        - Number of shrines vandalized
        - Times pretending to be a blacksmith
        - Number of lucky drops
        - Highest/total lucky drop multiplier
        - Mana/stamina spent
        - Damage done total and by type
        - Damage taken total and by type
        - Damage against inanimate objects
        - Amount healed
        - Mana gained
        - Number of critical hits
        - Number of mastery procs
        - Attacks missed
        - Attacks dodged
        - Times cheated death
    - Credits are now functional from the title screen menu and after you beat the game.
    - Skippable cutscenes now show a message explaining they can be skipped.
    - Your save is now deleted when you finish the game.

  Graphics
    - Nausea particle effect is now removed properly when the effect ends.
    - Particles that are out of line of sight should no longer be visible.

  GUI
    - Can no longer increase meta stats after death.
    - Can no longer open menus when player input is not accepted.
    - You can now view all tracked stats via the statistics menu option.

  Items
    - Added Floppy Disk unique item. This item is stubbed and currently has no functionality.
    - Alchemist's manual now mentions its effect is currently unimplemented.
    - Reduced cratefish king reward potency slightly.

  Options
    - Added option to disable checking for death card image links in the clipboard.

  Steam
    - Added 6 Steam achievements.
    - Added -resetachievements command line argument. This will launch the bundled 'ResetSteamStats.exe' command line utility which will wipe all your Steam stats and achievements.

  User Files
    - Added -userpath command line option, when followed by a path (surrounded by double quotes if it contains spaces) the game will use the provided path to store user files.
    - All user files are now kept in the MidBoss subdirectory of the My Documents folder. The game should auto detect if you have older files and migrate them automatically to the new system.


Changes in v1.0.3: (savegame compatible with previous version) [2017-04-21]

  Bug Fixes
    - Fixed a bug which could cause a floor 2 crash in custom games with the floor 2 size slider set to the low end of 3.
    - Fixed a bug which left the game unpaused when creatures were killed by certain abilities, allowing the player to move and break the game state.
    - Fixed a bug with bouncing magic missiles due to Sorceror's Codex where the positive X and Y range for determining bounce targets was 1 less than it should have been.
    - Fixed a crashing bug related to the Item Grandmaster buff given by the deity Stack.
    - Fixed a shrine related crashing bug.
    - Fixed an item duplication bug in the inventory.

  Entities
    - Creatures that die and aren't visible no longer trigger a death animation.
    - Piles of yarn balls will now always drop at least 1 yarn.

  GUI
    - Lingering tooltips should now be fixed across the game.

  Input
    - Added an option to flip the left and right mouse buttons to the control section of the options menu.
    - MidBoss now detects left handed mouse mode in Windows automatically.


Changes in v1.0.2: (savegame compatible with previous version) [2017-04-17]

  Bug Fixes
    - Fixed a bug where minitaurs that died from poison would die, giving experience, then come immediately back to life.
    - Fixed a bug where turn delay was being incorrectly applied to non-visible creatures and not applied to visible creatures.
    - Fixed a bug with Mid nagging players to equip optional forms when not appropriate.

  GUI
    - A notification now appears on screen when a screenshot is taken.
    - Potentially fixed a bug where tooltips contained comparisons for non-equipment items?
    - You can now use or equip items in the inventory by right clicking the item.

  Input
    - Added pick up items/drop item key. This is bound to G and numpad 0 by default. Hover your mouse cursor over an item and press G to drop it. When the inventory screen is closed this key will pick up all items in a 3x3 tile area centered on the player in a random order.
    - Added use/equip item key. This is not bound by default. Hover your mouse cursor over an item and press the key after binding it to use or equip the item.

  Items
    - Item tomes will now have much more abilities available to spawn with early in the game.
    - You can now identify potions using identification scrolls.

  Miscellaneous
    - Made soul fatigue clearer by showing the tutorial message when the first stack appears, adding an extra dialogue, and making the tooltip show the current debuff strength.
    - The default screenshot key on the Steam version of MidBoss is now F11.

  Options
    - Added an option to turn off the turn delay pause for non-aggro creatures.
    - Added option to disable the true color scale2x upscaling algorithm and use nearest neighbor instead.


Changes in v1.0.1: (savegame compatible with previous version) [2017-04-13]

  Bug Fixes
    - Fixed a bug with Stack shrines crashing the game.


Changes in v1.0.0: (NOT savegame compatible with previous versions) [2017-04-12]

  Abilities
    - Carrion will no longer inflict the infested debuff on player minions if the player is the source of the aura.
    - Carrion's corpse explosion damage is now calculated using the stats of the creature with the carrion aura, not the creature exploding.
    - Carrion's corpse explosion damage no longer affects player minions if the player is the source of the aura.
    - Carrion's infested debuff no longer applies to rot maggots. Before this fix when creatures died and spawned rot maggots during corpse explosions, these rot maggots could also explode when killed and spawn even more maggots. This old behavior has been preserved as a custom game setting.
    - Carrion's tooltip now explains that if rot maggots spawn from a corpse explosion, the originating creature can no longer be possessed.
    - Cleave, counter attack, double strike and kick masteries will no longer proc on AoE attacks.
    - The player's chill aura will no longer affect minions and vice versa.
    - When a minion's carrion aura triggers a corpse explosion it will no longer harm the player. Additionally, rot maggots spawned by a minion's carrion aura will now also be player minions.

  Audio
    - Cratefish king music added.
    - Merchant music now loops.
    - Remastered versions of all music added.

  Bug Fixes
    - Fixed a bug where changing forms or equipped abilities on a form could cause auras to not be updated properly.
    - Fixed a bug where tile entities such as acid tiles could flicker when moving.
    - Fixed a bug which was causing carrion's corpse explosions to never trigger.
    - Fixed a bug with auras not being properly removed on death.
    - Fixed a bug with auras when using various teleporting abilities.
    - Fixed a bug which could cause the intro sequence to freeze after skeleton and zombie leave.

  Custom Game
    - Added a custom game setting to restore the old behavior where the imp gets all innate abilities or all mastered forms for free, not just those of equipped mastered forms.
    - Added a custom game setting which allows rot maggots affected by the carrion aura to explode and spawn more rot maggots.

  Entities
    - Caster monsters like vampire bats, warlocks and aether bats now will only approach the player to a certain range. From there they will cast spells, pass their turn to regain mana, or move around randomly while staying within the range.
    - Fixed a bug which caused Megataurs to never use their Stomp ability.
    - Minions should no longer attack other minions.
    - Monsters now won't recast buffs like Gravelord or Ethereal before the buff runs out.
    - Non-aggro monsters will no longer flash step.
    - Warlocks are now much less likely to blow themselves up with fireballs.

  Environment
    - Added floor 13 boss fight.
    - Implemented floor 14.

  General
    - Basic attack animation speed increased by 10%. Additionally, wind up is reduced when attacking inanimate objects, making attacks against inanimate objects 30% faster.
    - BEWARE THE MERCHANT, HE KNOWS YOUR SINS
    - You can now finish the game.

  Graphics
    - Acid reflux ability is now animated.
    - Bone spear is now animated.
    - Brood mother and carrion ability effects are now animated and have sounds.
    - Hitstop has been reduced for fireball and inferno AoE abilities.
    - Stomp ability is now animated.

  GUI
    - Ability icons added for: ethereal, charge, explosion, blink, vomit, bone spear, shocking grasp, stomp, acid reflux, juggle, phantom strike, and conscription.
    - All menus in the game now have a glowing fire edge effect.
    - Fixed an issue with tooltips for items in the item selection window used for holy water, id scrolls, etc not being wrapped appropriately.
    - Status effects added for: agony/torment, carrion/infected, chill/chilled, colossus, mimisbrunnr, noatun's inventory, overpower, retro mode, void keeper, animated, and potion effects.
    - The meta attribute sections of the status window now have background images.

  Options
    - Added an option to disable the glowing menu edge effect.
    - You can now rebind the screenshot key.

  Steam
    - Now supports the Steam API and overlay. Game will be paused when the Steam overlay is open.


Changes in v0.9.4: (savegame compatible with previous version) [2017-03-06]

  Abilities
    - Chilled and Infested debuffs (from the Chill and Carrion auras) now have particle effects.
    - Innate abilities for mastered forms now only apply for free in imp form if you have the mastered form in question equipped.
    - Nausea debuff now has a particle effect.
    - Respiration now has a visual effect when it triggers.
    - Targets below Grim's health threshold of 30% now flicker red and yellow to indicate the critical bonus is active.
    - Vomit is now animated.
    - Vomit now has a range of 1.

  Bug Fixes
    - Ethereal's bubble will no longer appear on monsters which are not visible.
    - Fixed a bug causing status effect particles to disappear for effects that persist after possession such as poison.
    - Fixed a crash that could occur intermittently on rare system configurations during save.

  Options
    - Added queasy safe mode option, this disables gross animations and sounds like the vomit ability.


Changes in v0.9.3: (savegame compatible with previous version) [2017-02-27]

  Abilities
    - Added 6 new abilities total used by Megataur and Wraith monsters.
    - Burn status effect damage per stack has been reduced from 5% to 2%.
    - Gore bonuses reduced to 30% and 35% for large and huge creatures (down from 40% and 50%).
    - Infection and Body Slam abilities now have icons.
    - Rust and Gravelord abilities now have icons.

  Audio
    - Bladed weapons now have separate hit and critical sounds.
    - Chests now play a sound when opened.
    - Magic missiles now make a sound when they miss.

  Bug Fixes
    - After a helpful bug report by Lynith the poison freeze bug has finally been fixed and after 10 thousand years I'm free.
    - Dead creatures should no longer execute on hit or damage procs.
    - Fixed a bug causing custom game experience multipliers not set to auto to be floored to the nearest integer.
    - Fixed a bug causing mobs to not properly path around altars.
    - Fixed a bug where the custom game menu's seed edit box would get 'stuck' and could not be edited after starting a custom game while it was focused.
    - Fixed a bug which caused attacks to never critical.
    - Fixed a bug which could cause mobs to take turns in between another mob dying and the possession window popping up if the cause of death was an AoE attack.
    - Fixed a bug which could in rare circumstances cause graphical glitches in walls while the player was moving.
    - Fixed a bug which was causing armor stands and weapon racks to be trapped far too often on lower floors.
    - Fixed a bug which was causing bone spear to deal regular melee damage, instead of the halved piercing damage it was supposed to.
    - Fixed issues with stats rounding to the nearest even number at the midpoint between integers. For example, 3.5 was rounding to 4, while 4.5 also rounded to 4. Now 3.5 will still round to 4, but 4.5 would round to 5.
    - Fixed some issues with line of sight being unreliable.
    - Mobs should no longer spawn on closed doors.
    - The player will no longer get benefit from any procs that triggered on dying creatures after possessing them.

  Entities
    - Added missing masteries to appropriate monsters. Ghosts now have plate armor mastery, megataurs now have leather armor mastery, and warlocks have ring and staff masteries.
    - Added new Megataur monster.
    - Added new Wraith monster.
    - Reaper and Rot Worm rebalanced to be less powerful.

  Environment
    - Added the pre-boss fixed layout floor on floor 13. It is currently empty because it is unimplemented, and so effectively the end of the game as it blocks progression beyond that point.
    - All destructible objects now play a sound when destroyed and explode into debris similar to how crates did before.
    - Sometimes treasure piles will now spawn as a pile of yarn balls.
    - Treasure piles and crates now have a consistent appearance when replaying the same seed.

  General
    - Added -timecontrols command line argument, when turned on the comma ',' and period '.' keys can be used to slow down or speed up the game speed.
    - Added two new custom game settings which can disable traps, and possession requiring line of sight.
    - Implemented hitstop, this will slow the game down temporarily to give weight to hits, critical hits, and kills.
    - The game now slows down as your corpse flies through the air when you game over, giving you extra time to ponder where you went wrong.
    - The game now tracks turns taken, and a turn counter is displayed in the stats window.
    - The game now tracks various stats, both for the current game and globally (total and best-in-game). Custom games will not increase global stats. Global stats are kept in the files "stats_total.dat" and "stats_bestgame.dat". Deleting these files (and any files called "stats_total_old.dat" or  "stats_bestgame_old.dat") will reset your global stats.
    - Updated stealth tooltip with more description.
    - You can now possess creatures that die even if you didn't kill them.

  Graphics
    - Added weapon trails and hit sparks to attacks, this should make combat look and feel more satisfying. There are 3 type of trails (stabbing/jabbing, slashing, and overhead) and 2 type of sparks (bladed and blunt).
    - Blink ability is now animated.
    - Camera now centers on target creature when prompting if the player wants to possess.
    - Effects that restore mana now show a blue text particle on screen.
    - Explosion ability is now animated.
    - Health and damage particles no longer overlap each other.
    - Inferno ability is now animated.
    - Mid now vanishes from the imp's tail on death.

  GUI
    - The custom game window now tracks whether global stat tracking will be enabled or disabled for your current settings. When using settings which are the same as the default or quick play settings (with the exception of irremovable cursed items, or seed value) global stat tracking will be enabled for the custom game.

  Items
    - Healing potions now show a healing text particle.
    - Multipurpose Jewelry now says it counts as a ring, an earring, and an amulet for item masteries specifically (thanks to redshojin).

  Mystery
    - Preserved interesting glitch for speedrunners.

  Options
    - Added a 'GUI margin' option, to adjust the GUI to be in a TV's title safe area.
    - Added an option to turn hitstop on and off.


Changes in v0.9.2: (savegame compatible with previous version) [2017-01-02]

  Bug Fixes
    - Double clicking an empty equipment slot will no longer crash the game (thanks to Tactless).
    - Equipment tooltips were sometimes showing unidentified min or max damage modifiers as identified even though they weren't. This no longer happens (thanks to Tactless).
    - Equipment which has both cursed and non-cursed damage modifiers should now correctly apply both (thanks to Tactless).
    - Fixed a bug where potions would have their inventory slot reselected after use.
    - Fixed an incorrect loop point in the floor 5-6 background music (thanks to Tactless).
    - Gore's status effect should no longer have increased intensity upon switching equipment (thanks to Tactless). This did not affect Gore's actual gameplay effects.
    - Mid's rarity tutorial message now mentions unique items as well.
    - The status menu's damage and crit values/tooltips, as well as ability tooltips now no longer factor in unidentified damage bonuses or penalties (thanks to Tactless).

  Command Line
    - Added -debugstatics command line option which will be useful to nobody in the history of forever.

  Environment
    - A sound effect now plays when the gods bless you.
    - Devyn now appreciates the virtues of holy water.
    - Sacrificing epic, unique or legendary items to the gods now gives a small bonus to the roll.
    - Shrine outcomes are now less random.
    - The gods' favored items have been updated to include the new unique items.

  Graphics
    - Added borderless windowed fullscreen mode.
    - Better support for resolutions over 1080 pixels high.
    - FNA has been updated to the latest version. This has increased performance and enabled multi monitor support, as well as fixed the vsync option not doing anything.
    - Multiple monitors are now properly supported, the game will remember which monitor the game was last played on between sessions, and should fullscreen on the monitor it is currently on rather than the primary monitor.
    - Static level geometry is now cached in buffers on the GPU. Offloading floors and walls to the GPU in this fashion means rendering speed and framerate are drastically increased.
    - The game window should no longer jump back to the primary monitor when opening or closing the options menu.

  GUI
    - Added an option to enable a high contrast version of the default font.
    - Clicking Mid's reminder speech bubble now falls through to the next message instead of merely closing the current one, which is the same behavior as when you click on his face instead.
    - When changing options which require a restart the game now notifies you of this upon closing the options menu.


Changes in v0.9.1: (savegame compatible with previous version) [2016-12-25]

  Bug Fixes
    - Fixed version number bug causing the game to perpetually indicate a new version was available.


Changes in v0.9.0: (NOT savegame compatible with previous versions) [2016-12-24]

  Abilities
    - Accessory master revamped: accessories now add extra rolls to proc for other item masteries. For example, when weapon mastery and accessory mastery are active and the player is equipped with a dagger and a ring, there are two double attack proc rolls, once at the base 10% and once at 5%. With two daggers and two rings, there would be two rolls at 10% and four rolls at 5%.
    - Added screen shake to possess animation.
    - Armor mastery revamped. Cloth armor gains a 15% proc chance to absorb damage and convert it to mana. Leather armor gains a 15% proc chance to absorb damage and convert it to stamina. Plate armor gains a 15% proc chance to reflect damage back onto the attacker. Heavy boots gain a 10% proc chance to do an extra kick attack when attacking. Light boots gain a 10% proc chance to haste on move.
    - Fireball attacks now also count as fire damage (main damage type is magic).
    - Staff mastery revamped. Wands gain a 20% proc chance to lower mana cost by half on cast. Staves gain a 20% proc chance to increase magical damage by 50%.

  Bug Fixes
    - Fixed a bug causing uncommon and common item drop rates to be reversed in quick play.
    - Fixed a bug where disabling potion discovery caused potions to never show their info, rather than always show it.
    - Fixed a bug where the forms and status windows weren't repositioned properly after changing resolutions.
    - Fixed a bug which was causing rats to always drop loot.

  Environment
    - Added shrine rooms, in these rooms is an altar which can be used to make a one-time offer to one of the four gods, who may give you blessings (or curses, should they not favor you).
    - Added smithy room type. Comes with forge, anvil, armor stands and weapon racks.
    - Plain rooms, storage rooms, and treasure rooms now have a chance to spawn weapon racks and armor stands.
    - Reduced frequency of corridor type rooms.
    - Tall candlesticks now spawn throughout the dungeon.
    - The rat in the starting room should now no longer be spawned next to the player, which disrupts the flow of tutorials.
    - The room before the first tutorial floor's stairs down is now a smithy.

  General
    - Added cratefish crate. It's like a normal crate, but with extra cratefish.
    - Added cratefish currency which increases with every cratefish particle spawned.
    - Added cratefish king room, the cratefish king will give you rewards for liberating his subjects!
    - Added trapped armor stands and weapon racks which spawn animated armor and animated arsenals respectively.
    - Balls of yarn, the cat merchant's currency, now randomly drop from containers and monsters. Occasionally you will get a lucky drop which will generate more balls of yarn than normal.
    - Custom game modes are now possible. You can customize various settings such as cursed/unidentified item behavior, floor and room sizes, and item drop rates.
    - Implemented the cat merchant, who talks to you on the first floor then shows up on the 2nd floor and every other floor after that with his shop. You can buy or sell items at the shop, as well as identify items and remove curses from items.
    - RNG state is now preserved when quitting and reloading the game.
    - The first floor now has a cutscene introducing the merchant.

  GUI
    - Large item comparison tooltip stacks now should no longer go off the top of the screen.
    - Mid now sticks around the bottom right of the screen and will repeat helpful hints to inattentive players, or those players who don't read the tutorials at all (a special level of hell is reserved for you lot). Disabling hints in the options will also disable these hints.
    - The forms window now shows what creature types a form belongs to.

  Items
    - Accessories are now divided into rings, amulets and earrings.
    - Armor is now divided into plate armor, leather armor and robes.
    - Boots are now divided into heavy boots and light boots.
    - Chests, treasure piles (and rarely mobs) will now drop holy water. Holy water will turn cursed equipment penalties into normal equipment bonuses.
    - Cursed and unidentified items now exist.
    - Epic equipment will now sometimes come with an innate item mastery proc.
    - Implemented 23 unique items: Alchemist's Manual, Blood Axe and Blood Hatchet, Bone Armor, Cold Iron Cleaver, Eye of Eternity, Eye of the Allfather, Flame Aegis, Gore Boots, Gore Fist, Grandmaster Medallion, Multipurpose Jewelry, Poisoner's Satchel, Pork Poker, Rod of Decay, Skin Boots, Smash Fist, Sorceror's Codex, Spiked Shield, Swamp Boots, Templar Longsword, Temporal Ring, and Winged Cape.
    - Legendary items and the new unique items now display a particle effect clearly marking the location of valuable items on the map.
    - Scrolls of identification are dropped from various places, but bookshelves in particular. These scrolls stack and can be used to identify unidentified pieces of equipment.
    - Two-handed legendary weapons no longer get two abilities, instead they merely get one. This is done to bring legendary two-handed weapons more in line with the power of two-handed unique weapons.


Changes in v0.8.2: (savegame compatible with v0.8.1) [2016-10-16]

  Abilities
    - Heart Strike now deals piercing damage and no longer increases the chance of critical hits. It now also does slightly increased maximum damage.

  Bug Fixes
    - Made the save system more robust, hopefully resolving occasional crashes on some systems.
    - Hopefully fixed one-pixel offset on dialogue window triangle from main dialogue box.
    - Cleave should no longer hit targets that are outside of reach, such as targets that are two tiles away.
    - Item masteries were showing up multiple times on item tooltips if the ability was equipped on multiple forms simultaneously. This was purely a cosmetic issue and has now been fixed.
    - A bug was causing status effect damage such as damage done by Poison, Acid Pools or Burn to not apply damage reduction from passive effects such as Rot. This has now been fixed.
    - Fixed a bug which caused the Burn status effect to display in the log even when enemies were affected.

  Environment
    - Mob spawns have been changed in order to guarantee a certain number of mobs that are supposed to be new to a floor. This should help keep game balance more consistent, particularly in Quick Play mode.


Changes in v0.8.1: (savegame compatible with v0.8.0) [2016-10-11]

  Bug Fixes
    - Fixed an attack animation bug that could cause some animations (notable Envenom) to off-center the entity at low framerates.
    - Fixed a bug where acid pool tile sprites were 1 pixel off causing a visible grid between tiles.
    - Fixed a bug which could rarely result in blocking deco on the tutorial floor.
    - Fixed a bug which caused crate and treasure clusters to spread through walls.
    - Fixed a bug where the Carrion ability would fill the combat log with debug messages.
    - Enemies can no longer aggro themselves. This fix also prevents entities from blinking out and back into existence when melee attacking themselves.


Changes in v0.8.0: (NOT savegame compatible with older versions) [2016-10-07]

  Abilities
    - Fireball:
        - Is now an AoE attack ability.
        - Minimum damage lowered significantly.
        - Mana cost is reduced to 15.
        - Now has a 10% accuracy penalty and a 30% chance to inflict the Burn debuff for 6 turns. Burn deals 5% of maximum HP damage per stack per turn.
    - Rot now halves poison damage (up from 25%).
    - Wicked critical bonus increased to +10.
    - Magic missile now does piercing damage.
    - Gore now gives +25% physical damage (+40% for Large and +50% for Huge creatures) for each hand not equipped with a weapon.
    - Weapon Mastery changed to the item mastery system, see 'Item Mastery' section for more information.
    - Paralytic turn delay increased to 10% (was 5%).
    - Ethereal damage converted to mana increased to 50% (was 30%).
  
  Audio
    - Two brand new floor themes (4 new tracks) by yuzuki (http://twitter.com/yuzukimasu) were added.
    - The third floor theme has now been pushed back to floors 10-12 and one of the new themes has taken its place.
    - Various sounds now vary slightly in pitch when played.
    - Various new sounds were added, see 'Combat Graphics Overhaul' section for more information.
  
  Bug Fixes
    - You can no longer possess things if they die outside of your line of sight.
    - Fixed a bug where enemies could be scared to death using Fear. Enemies 'killed' in this way never registered as dead, gave no exp or loot, could not be possessed, and remained visible as ghosts the player could walk through until the level or game was reloaded.
    - Fixed a bug causing Retaliation to not apply to magical attacks.
    - Fixed a bug which caused the wrong damage values to be displayed in the combat log if damage reduction from buffs was applied to an attack.
    - Fixed a several year old bug where the value indicating whether or not a tile obscures other tiles was not being cached, causing this value to be recalculated for every tile rendered, every frame, always. Oops.
    - Fixed a bug that could theoretically block off a corridor when merging doors, potentially blocking a level.
    - Fixed a bug where if pixel perfect rotations were disabled and the player had a non-default form color, rotations would produce color artifacts along the sprite's edges.
    - Fixed a bug with charge where charges would fail when they shouldn't.

  Combat Graphics Overhaul
    - This patch is the first in a range of patches that features many graphical changes to enhance the look and feel of combat in MidBoss. Many animations, sounds and graphical effects have been added.
    - Added screen shake to some abilities. Screen shake amount can be customized or disabled in the options menu.
    - Added poison particle effect.
    - Added life leech animation.
    - Added dive attack animation and sounds.
    - Added body slam animation and sounds.
    - Added gravelord buff effect.
    - Added reanimate animation.
    - Added fear animation, sound, and debuff effect.
    - Added ethereal buff effect animation.
    - Added charge animation.
    - Added magic missile animation.
    - Added fireball animation and sounds.

  Early Game Enhancements
    - Several changes were made in order to facilitate a pleasant early game experience for new as well as returning players.
    - The first floor is now a tutorial floor with a semi-fixed layout.
    - The second floor (formerly the first floor) has been reduced in size.
    - Rat and bat form experience required to level reduced in order to speed up the early game. Rat now requires 3 experience per form level (was 5), and bat requires 8 (was 10).
    
  Entities
    - AI logic range increased.
    - Destructible objects now have a 100% penalty to evasion.
    - Monsters now belong to one or more of various types: Magical, Undead, Beast and Humanoid.
    - Creatures now receive a damage bonus or penalty depending on size. Large creatures get +10% damage, Huge creatures +20%, and Small and Tiny creatures get -10% damage.
    
  Environment
    - Libraries now come with cozy ratty carpets.
    - Added storage rooms and treasure rooms. Treasure rooms contain gold piles which function like crates with slightly better loot.
    - The royal chest is now placed in a dead end room where possible in order to encourage exploration.
    - The room the royal chest is found in now has a decent chance of being a treasure room.
    - Stairs now have small signs indicating their direction.
    - Rooms have an increased chance of spawning higher level enemies, and will spawn slightly fewer lower level enemies.
    
  Game Modes
    - Added Quick Play mode. In this mode levels are much smaller, better loot drops more frequently, and an experience boost is applied for a more compressed gameplay experience.
    - In order to add Quick Play mode, structural changes to the game were made which in the future will be used to create a fully customizable gameplay experience with various mutators the player can change to their liking.
        
  General
    - Added an intro scene with dialogue. This can be skipped with the escape key, you terrible person you.
    - Six new monsters have been added; hell rat, aether bat, ghoul, reaper and rot worm (which spawns rot maggots, the 6th new mob).
    - These six new monsters come with 15 new abilities; 5 targeted abilities and 10 passive abilities.
    - These abilities use brand new systems for piercing damage, (point blank) AoE attacks, counter attacks, procs, persistent ground targeted effects, auras and more.
    - Added piercing attacks, these ignore half of the target's defense (toughness or resistance).
    - The way actions are processed has changed to a more robust queue based system. This should hopefully resolve various miscellaneous bugs and finally fix the poison game freezing bug. This was required to make many of the new abilities function properly.
    - All attributes now have sane minimums. Most attributes cannot be reduced below 1. Only Accuracy, Evasion and Stealth attributes can be negative now.

  GUI
    - Attribute breakdowns now show percentage bonuses before flat rate bonuses.
    - The status window now shows a tooltip with breakdown for the 'Damage' entry, including any multipliers from status effects.
    - Status effects are now sorted between beneficial and detrimental.
    - Debuffs now display with a bright red background.
    - Added floating damage (and healing) numbers. These can be disabled in the options menu.
    
  Items
    - Tomes no longer have an activation cost and don't drain any stamina or mana when used.
    
  Item Mastery
    - A new item mastery system has been implemented, in order to make the Mastery series of abilities more interesting than a simple attribute bonus to all your gear.
    - Different types of equipment gain different mastery procs when using the relevant Mastery ability.
    - These procs make the choice whether or not to use a Mastery ability, and if so which gear to use much more interesting to the player and encourage creativity in combining procs with other abilities.
    - Currently, only the Weapon Mastery ability is affected and gives the following procs:
        - One-handed swords have a 10% chance to counter attack when hit.
        - One-handed axes have a 10% on hit chance to deal piercing damage.
        - Two-handed swords have a 50% on hit to cleave and deal damage to entities in adjacent tiles.
        - Two-handed axes have a 20% on hit chance to stun the enemy for one round.
        - Daggers have a 10% chance on hit to double attack.
        - Shields have a 15% chance when hit to guard, nullifying incoming damage entirely.
    - Additionally monsters with visible gear who have mastery abilities now benefit from those masteries, this means skeletons and ghosts gain the one-handed sword counter attack proc.
    - The Armor Mastery, Staff Mastery and Accessory Mastery abilities will be changed to use this system in future updates.

  Options
    - Camera tracking during attacks can now be disabled in the options menu, in which case the camera does not move while attacking.
    - Added an option to disable the new floating damage values.
    - Removed the ability to disable animations.
    - Added customization option for the new screen shake effect.
    
  Save System
    - Save files are now in zip format containing several xml files (one header and one per floor) instead of one massive file.
    - Game should no longer slow down due to saving when advancing in number of floors.
    - Improved save performance by parallelizing xml serialization. This feature can be disabled with the '-nothreadsave' command line argument.
    - Save files are now more compressed (smaller filesize).


Changes in v0.7.2: (savegame compatible with v0.7.1) [2016-04-01]

  Abilities
    - Ability icons added for: Fear, Fireball, Heart Strike, Life Leech, Magic Missile, Scurry, Dive Attack. 

  Audio
    - Added all new music by @yuzukimasu (again). Includes three new stage themes, and remastered versions of Imp's Lament (title screen) and new game over music.
    - Ambient music (when no mobs are around) is now much more low-key.

  Bug Fixes
    - Fixed a bug where game debug logging could theoretically crash the game on startup.
    - Poison related soft locks fixed, hopefully?
    - "You have failed to envenom <name>" log message now displays in detrimental color, was beneficial.
    - "<Name> resisted fear from <name>" no longer displays in the wrong log color.
    - Mobs no longer rapidly cycle through turns when game should be paused during some circumstances when the player dies and is between forms.
    - Mobs standing on closed doors on load no longer trigger both the door close and open sounds when loading a game.
    - Command line option -nomusic no longer causes a crash on load.
    - Fixed a bug that could cause progressive framerate loss over time in certain circumstances.
    - Fixed an audio bug that could cause intermittent crashes when exiting the game.

  Controls & Interface
    - Now shows a control style picker dialog on startup, for those who can't be bothered looking at the options menu to rebind their movement keys. This can be shown again by checking "Show control orientation picker" in the Gameplay tab of the Options menu and restarting the game.
    - Game notifications should no longer overlap menus.
    - Zoning should no longer occasionally discard your next mouse click.
  
  Graphics
    - The imp's tail flame is now animated.
    - When in non-imp form, the imp's tail flame floats overhead, marking the player entity.

  Items
    - Item comparisons in tooltips added.
    - Added a rare chance of finding odd looking potions. I wonder what those do?
    - Ability tome colors improved to be less samey.
    
  Tutorials
    - All tutorials have been replaced with conversations with Mid (the imp's tail flame).
    - Tutorial system greatly enhanced.


Changes in v0.7.1: (savegame compatible with v0.7.0) [2015-09-03]

  Input:
    - Mouse input bug where input would not register under certain circumstances fixed.


Changes in v0.7.0: (NOT savegame compatible with older versions) [2015-08-28]
    
  Abilities
    - Fireball minimum damage decreased.
    
  Audio
    - Added all new music by @yuzukimasu. Includes three new stage themes, a new version of Imp's Lament (title screen), and new game over music.
    - Reimplemented dynamic music system which dynamically switches between two tracks depending on whether monsters are around.
    - Upgraded to the latest version of FNA, this should hopefully fix an intermittent audio cut-out bug that happened on some systems.
  
  Bug Fixes
    - Fixed crashing bug when switching main/off-hand slots under certain circumstances. (credit to GreyFalcon, @perfumednight, Michael Bolton)
    - Fixed crashing bug on some systems when switching from windowed to full resolution fullscreen. (credit to @ZenithTheOne)
    - Form points are no longer shown as earned in the log when a form is mastered.
    - Minimap no longer wraps around in the X direction when collapsed.
    - Fixed a freezing bug that could occur when the player died without other mobs around.
    - Fixed bug where double clicking a selected item in the equipment window would deselect and reselect instead of use the item.

  Command Line
    - Added -nomusic command line argument to disable music entirely.
    - Added command line arguments section to readme.txt.

  Controls & Interface
    - Mouse movement going up and down stairs improved. (no more rapid switching between levels)
    - Ability combo boxes in the forms window now show tooltips for the currently selected ability.

  Environment
    - Levels now spawn clusters of crates. These crates can be smashed and sometimes contain loot.
    - Levels now spawn chests. Chests always contain some equipment, and come in three varieties: plain (copper), ornate (silver) and royal (gold).
    - Every level spawns a single royal chest, find the chest to get some of the best loot in the game!
    - Some rooms are spawned as libraries. These rooms have bookshelves in them, one of which contains an ability tome. Attack bookshelves to search them.
    - Levels now spawn doors between rooms. Move into a door tile to open it. Doors cannot (currently) be closed.
    
  Graphics
    - Added pixel perfect rotation option, enabled by default. Disable this to gain FPS, but get blurry rotated sprites.
    - Walls will no longer show edges for rooms which have not yet been explored by the player.
    - Revamped title screen.

  Items
    - Added ability tomes. These books drop from library rooms and rarely as loot and have a number of charges. Double click tomes to use the ability.
    - Item rarity rebalanced completely. Uncommon and common items are now much more common, rare items are actually rare, and epic and legendary items are very rare. The royal chest is now the best chance of finding epic or legendary equipment.
    - Equippable item tooltips now show rarity along with item slot.
    - Added item rarity tutorial message.

  Mobs
    - All mobs rebalanced for greater availability of loot, stats increased. (significantly in some cases)
    - Warlock attribute multipliers rebalanced; Force, Power and Spirit multipliers reduced.


Changes in v0.6.0: (NOT savegame compatible with older versions) [2015-02-28]

  Items & Equipment
    - Added item system, mobs now drop randomized loot belonging to one of the following 5 rarities: Common (no color), Uncommon (blue), Rare (yellow), Epic (orange), and Legendary (purple)
    - Some legendary equipment will give the player access to abilities while equipped
    - To easily pick up or inspect items on the ground press control to toggle, or hold alt to display item labels (rebindable in the options menu)
    - Added sword, two-handed sword, axe, two-handed axe, dagger, wand, staff, armor, shield, boots and accessory equipment types
    - Added potions, these have one of 16 effects, some negative, some positive
    - Potion tooltips will not state what a potion does until it has been used once (can be turned off in options)
    - Which potion type has which effect is randomized every game (can be turned off in options)
    - Items can be dropped by selecting them in the equipment window, then clicking outside the window
  
  Core
    - Switching equipped forms now inflicts stacks of Soul Fatigue debuff, which inflicts a 5% penalty to all core attributes for every stack after the first, up to a maximum of 20 stacks of 95% penalty
    - Meta attributes can now be decreased as well as increased while the player stays inside the game's menus. Upon leaving menus the points become committed and cannot be decreased
    - Maximum mana is now always at least 5 to ensure players can always possess new creatures
    - The first ability of a new form is now free
    - Experience required for level 2 increased slightly
    - Changing equipped abilities on equipped forms now counts as a move and may end the player's turn
    - Involuntary depossession (getting killed while not in imp form) now leaves the player with 15% of the imp's maximum HP, Mana, and Stamina (used to be 1 HP and a percentage of Mana and Stamina equal to what the player had before death)
  
  Controls
    - Fixed a bug which made it impossible to attack around corners with the mouse
  
  Graphics
    - Added monster death and despawn animations
    - Added idle animations
    - Fixed a renderer bug which could rarely cause rendering glitches
    - Entities can now be recolored via palette
    - Player's sprite now changes color depending on optional equipped forms. When multiple forms are equipped the colors are mixed
    - Particles are always fully bright
  
  Mobs
    - Monsters should no longer attack or cast through walls
    - Enemies no longer aggro from offscreen
    - Enemies now pop up an exclamation mark when they detect a target and turn aggro
    - Enemy aggro behavior improved to be more sensible and consistent
    - Enemies now have a chance to switch targets when taking damage
    - AI now should be smarter about when to self-cast buffs
    - Zombie minions created using the Infection skill now have a different imp-orange color to distinguish them from regular zombies
    - Zombie, Skeleton, Mortipede, Ghost, Minitaur and Warlock rebalanced for the new item system
    - Mortipede, Ghost, Minitaur and Warlock ability order changed
    - Mobs should no longer act while dead when killed during their own turn
  
  Abilities
    - Equip Accessory renamed Accessory Master. Now increases accessory attribute bonuses by 30%
    - Equip Melee renamed Weapon Master. Now increases weapon attribute bonuses by 30%
    - Equip Staff renamed Staff Master. Now increases staff and wand attribute bonuses by 30%
    - Equip Armor renamed Armor Master. Now increases armor and boots attribute bonuses by 30%
    - Gore now increases damage by 50% while unarmed
    - Swordplay now adds +3 Evasion for every equipped weapon, +5 Evasion for every equipped shield
    - Charge fixed so it no longer visually moves the user back to their pre-charge location
    - Charge bug which caused messages to appear in the combat log if an NPC failed to use it fixed
    - Depossess now restores 30% HP, Mana and Stamina (up from 10%)
    - Reanimate now has a 20% chance to revive on death (up from 10%)
    - Haste buff (Scurry ability) now allows for one extra item swap/use per turn, or one extra equipped ability swap per turn
    - Regeneration ability has been renamed to Bloodlust. Now gives a Regeneration buff for 8 turns when damage is taken
    - Fixed typo in Fireball description
    - Poison no longer shows messages for non-player entities
    - Added possession/depossession animations and sounds
  
  Interface & Accessibility
    - Tutorials overhauled completely
    - Added swoop in/out notifications for level-ups, unlocked forms and learned abilities
    - Replaced titlescreen's Credits menu option with a Greenlight voting option.
    - Added onscreen healthbars, (can be disabled in options) display ?? until an enemy of that type has been possessed
    - Forms window now shows next ability for forms, as well as progress towards that ability
    - Newly learned abilities are automatically equipped if there are empty ability slots on the form
    - Minions now have "minion" appended to their name in the combat log
    - Added brightness option
    - Added color blind modes for deuteranopia, protanopia and tritanopia
    - Various GUI elements can now be clicked through
    - Tooltip flicker bug fixed
    - Tooltips are now consistently opaque, and colored slightly different to distinguish them from menus
    - Percentage based attribute modifiers no longer appear in tooltips when their net effect is zero
    - In-game font stroke color darkened
  
  Options
    - Onscreen key binds option moved from Gameplay category to Graphics
    - Added onscreen healthbars option
    - Added onscreen player healthbar option
  
  Miscellaneous
    - Switched underlying library from MonoGame to FNA
    - Music is now streamed instead of preloaded, significantly reducing memory requirements
    - Reduced xml clutter in saves
    - Titlescreen now shows current version in the top-right corner
    - Fixed a bug which caused screenshots to crash the game on native resolutions


Changes in v0.5.3: (savegame compatible with v0.5.2) [2014-06-15]

  Controls:
    - Added multi key diagonals, this is an option in the options menu and enabled by default. Press two cardinal direction buttons to move diagonally, or two diagonal direction buttons to move straight.
    - Added mouse movement. Paths can be previewed using the "Path (hold)" and "Path (toggle)" keybinds.
    - Added keyboard targeting using the movement keys.
    - Pressing an ability's hotkey after activating it will target the currently selected target, if it is a valid target for the ability.
    - Down movement is now bound to S by default (was X).
    - Rest and pass are now also bound to numpad + and numpad 5 by default.
    - Possession window can now be cancelled with escape.
    - Rest can now be cancelled with escape.
    - Added a Confirm keybind, this confirms targets as well as the possession window.
    - Added a ConfirmTarget keybind, this only confirms targets when targeting an ability.
    - Added key repeat. You can now hold down keys or mouse buttons to keep moving.
    - Added CancelTarget keybind.
    - Can no longer bind functions to left or right mouse button, these buttons are reserved.
    
  Graphics:
    - Added movement animations.
    - Added attack animations.
    - Added casting particle effects.
    - Damage shake effect should no longer blur sprites.
  
  Mobs:
    - Minions should now no longer attack other minions.
    - When mobs can't find a path to the player they should now bunch up instead of idling.
    
  Abilities:
    - Fear duration increased from 5 to 8 turns.
    - Shambler passive now properly removes its buffs when the ability becomes unequipped.
    - Zombie minions (created by Infection) buffed slightly.
    - Magic missile now no longer attacks multiple times when a target is already dead.
    - Ability tooltips now take into account damage multipliers from buffs.
    - Gravelord tooltip description now makes it clear it only applies to physical damage.
    - Fixed a bug where casting a buff a second time on the same target while the first application was still active would cause the buff to never expire.
    - Abilities in the forms window now accurately reflect damage for current form in their tooltips.

  Interface:
    - Fixed a bug in the tutorial system which caused tutorial messages to always appear in some timezones, even if the player had seen them already.
    - First tutorial message now points out mouse movement and key rebinding in options menu.
    - Tweaked text on the following tutorial messages: possession, low mana.
    - Game log now defaults to unlocked, right click and select lock to lock the log, you will no longer be able to resize it.
    - TurnDisplay now fades out for moves further in the future.

  Options:
    - Options menu now split up into categories.
    - Added "Move duration" option, sets how long the animation for moving between two tiles takes, or in the case of no animations how fast you move while keeping movement keys pressed.
    - Animations can now be turned on or off in the options menu. Choice between movement animations and other animatons.
    - Added option to enable or disable mouse movement.
    - Added option for multi key diagonals.
    - Added max particles and particle sort quality options.
    - Added master volume option.
    
  Miscellaneous:
    - Crashing during zoning can now no longer corrupt saves or cause entity ID conflicts.
    - Taking damage while resting (from say poison) now interrupts rest.


Changes in v0.5.2: (savegame compatible with v0.5.1) [2014-05-22]

  Abilities:
    - Life Leech damage is now capped at the target's maximum HP, this also caps the resulting heal which prevents overhealing.
    - Reanimate now accurately displays which creature it affects in the combat log upon proc.

  Mobs:
    - Ghost, mortipede meta attributes slightly decreased.

  Environment:
    - Floor cell size reduced from 8 to 7 (24% reduction in overall area).
    - Number of corridors reduced by 15%.
    
  Interface:
    General:
      - Added rest button. Activating the rest function will pass your turn until your mana or stamina have fully regenerated or an aggressive mob comes on-screen.
      - Activating an ability twice (by clicking or using the hotkey) targets self for abilities which can do so.
      - Core attributes are now colored to resemble their linked meta attribute in status window, forms window, and possession window.
      - Added icons for all status effects.
      - Added a low health tutorial message which explains how to regain health.
      - Options menu scroll buttons now scroll further for those without mousewheels.

    Game log:
      - Now much less verbose.
      - Messages are now colored depending on context for clarity.
      - Can now be scrolled with the mousewheel.
    
    Status window:
      - Switched the position for relentlessness and adamancy.
      - Attributes which are temporarily increased above base level are now green.
      - Attributes which are decreased below their usual level are now red.
      
    Forms window:
      - Form images are now clickable to look at that form.
      - Now has attribute tooltips, these display function and the base value of the attribute in that form.

    Possession window:
      - Colors now indicate whether an attribute would go up, down, or stay the same after possessing.
      - Now has attribute tooltips.
    
    Tooltips:
      - Ability tooltips now have colored text to indicate mana or stamina cost, and colored text to indicate physical or magical damage types.
      - Passive abilities no longer show "Target self" in tooltip text.
      - HP and MP casing inconsistency in tooltips resolved.

  Bug fixes:
    - Fixed rare music related crashing bug
    - Fixed a bug that prevented saving after zoning on some systems.
    - Improved save error handling to prevent crashes during saving. 

  Miscellaneous:
    - Added "-noupdate" command line option which skips the version checking.
    - Corrupt save files no longer crash the game when loaded but instead return to the title screen and display an error message.


Changes in v0.5.1: [2014-04-15]
  - Intermittent file IO crash fixed.
  - When saving fails and there is no 'save.xml' file but there is a 'save_new.xml' file the game will continue using that file.
  - Tutorial system added which displays tutorial messages organically while playing the game. Delete 'tutorial.xml' to reset all messages.
  - Added a new 'Enable hints' option to the options menu, disable this to disable the tutorial messages entirely.
  - A 'crash.log' file will be created when the game crashes, which means the game can safely be restarted without losing the crash report.
  - Added this file to document changes between versions.
  
  
v0.5.0 [2014-04-11]